Bug 596500 - (CVE-2010-1773) CVE-2010-1773 WebKit: off-by-one memory read out of bounds vulnerability in handling of HTML lists
CVE-2010-1773 WebKit: off-by-one memory read out of bounds vulnerability in h...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20100607,reported=2...
: Security
: CVE-2010-2304 (view as bug list)
Depends On: 538236 606303 606304 606305
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 16:14 EDT by Vincent Danen
Modified: 2016-11-08 11:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:18:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 16:14:18 EDT
An off by one memory read out of bounds issue exists in WebKit's handling of HTML lists. Visiting a maliciously crafted website may lead to an unexpected application termination or the disclosure of the contents of memory. This issue is addressed through improved bounds checking.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=39508
Trac: http://trac.webkit.org/changeset/59950

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue.
Comment 10 Vincent Danen 2010-06-28 13:42:29 EDT
This is being made public now, we've been given the go-ahead from upstream to do so.
Comment 11 Vincent Danen 2010-06-28 13:49:26 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 606304]
Comment 12 Vincent Danen 2010-06-28 13:49:28 EDT
Created qt tracking bugs for this issue

Affects: fedora-all [bug 538236]
Comment 13 Vincent Danen 2010-06-28 14:11:15 EDT
*** Bug 606295 has been marked as a duplicate of this bug. ***
Comment 14 Fedora Update System 2010-07-13 03:39:14 EDT
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-13 03:42:49 EDT
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.